package com.ruoyi.zongzhi.service;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcWorkDongtai;

/**
 * 工作动态Service接口
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public interface ITcWorkDongtaiService 
{
    /**
     * 查询工作动态
     * 
     * @param id 工作动态主键
     * @return 工作动态
     */
    public TcWorkDongtai selectTcWorkDongtaiById(Long id);

    /**
     * 查询工作动态列表
     * 
     * @param tcWorkDongtai 工作动态
     * @return 工作动态集合
     */
    public List<TcWorkDongtai> selectTcWorkDongtaiList(TcWorkDongtai tcWorkDongtai);

    /**
     * 新增工作动态
     * 
     * @param tcWorkDongtai 工作动态
     * @return 结果
     */
    public int insertTcWorkDongtai(TcWorkDongtai tcWorkDongtai);

    /**
     * 修改工作动态
     * 
     * @param tcWorkDongtai 工作动态
     * @return 结果
     */
    public int updateTcWorkDongtai(TcWorkDongtai tcWorkDongtai);

    /**
     * 批量删除工作动态
     * 
     * @param ids 需要删除的工作动态主键集合
     * @return 结果
     */
    public int deleteTcWorkDongtaiByIds(Long[] ids);

    /**
     * 删除工作动态信息
     * 
     * @param id 工作动态主键
     * @return 结果
     */
    public int deleteTcWorkDongtaiById(Long id);
}
